diff -uNr ilcinstall.ORIG/ilcsoft/geant4.py ilcinstall/ilcsoft/geant4.py
--- ilcinstall.ORIG/ilcsoft/geant4.py	2016-11-17 14:09:47.000000000 +0900
+++ ilcinstall/ilcsoft/geant4.py	2016-11-17 16:03:47.000000000 +0900
@@ -166,7 +166,7 @@
             if self.envcmake.has_key( "XERCESC_ROOT_DIR" ):
                 import platform
                 if platform.architecture()[0] == '64bit':
-                    self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib64" )
+                    self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib" )
                 else:
                     self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib" )
 
diff -uNr ilcinstall.ORIG/ilcsoft/mokka.py ilcinstall/ilcsoft/mokka.py
--- ilcinstall.ORIG/ilcsoft/mokka.py	2016-11-17 14:09:47.000000000 +0900
+++ ilcinstall/ilcsoft/mokka.py	2016-11-17 16:03:47.000000000 +0900
@@ -74,9 +74,9 @@
             # TODO for grid binary: export G4VIS_NONE (no visualization drivers built or used)
 
             if self.rebuild:
-                os.system( ". ../build_env.sh ; make clean 2>&1 | tee -a "+self.logfile )
+                os.system( ". ../build_env.sh ; unset DYLD_LIBRARY_PATH; make clean 2>&1 | tee -a "+self.logfile )
                 
-            if( os.system( ". ../build_env.sh ; make -j1 2>&1 | tee -a "+self.logfile ) != 0 ):
+            if( os.system( ". ../build_env.sh ; unset DYLD_LIBRARY_PATH; make -j1 2>&1 | tee -a "+self.logfile ) != 0 ):
                 self.abort( "failed to compile!!" )
         else:
             trymakedir( self.installPath + "/build" )
diff -uNr ilcinstall.ORIG/ilcsoft/mysql.py ilcinstall/ilcsoft/mysql.py
--- ilcinstall.ORIG/ilcsoft/mysql.py	2016-11-17 14:09:47.000000000 +0900
+++ ilcinstall/ilcsoft/mysql.py	2016-11-17 16:03:47.000000000 +0900
@@ -37,11 +37,9 @@
         self.env["MYSQL"] = "$MYSQL_HOME"
         self.env["MYSQL_PATH"] = "$MYSQL_HOME" # needed for mokka
         if platform.architecture()[0] == '64bit':
-            self.env["MYSQL_LIBDIR"] = "$MYSQL_HOME/lib64/mysql" # needed for mokka
+            self.env["MYSQL_LIBDIR"] = "$MYSQL_HOME/lib/mysql" # needed for mokka
 
         self.envpath["PATH"].append( "$MYSQL_HOME/bin" )
-        self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib64/mysql" )
-        self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib64" )
         self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib/mysql" )
         self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib" )
 
diff -uNr ilcinstall.ORIG/ilcsoft-install ilcinstall/ilcsoft-install
--- ilcinstall.ORIG/ilcsoft-install	2016-11-17 14:09:48.000000000 +0900
+++ ilcinstall/ilcsoft-install	2016-11-17 16:32:56.000000000 +0900
@@ -1,4 +1,4 @@
-#!/bin/env python
+#!/usr/bin/env python
 import os, sys
 import logging
 import commands
diff -uNr ilcinstall.ORIG/releases/v01-17-11/release-osx.cfg ilcinstall/releases/v01-17-11/release-osx.cfg
--- ilcinstall.ORIG/releases/v01-17-11/release-osx.cfg	2016-11-17 16:04:21.000000000 +0900
+++ ilcinstall/releases/v01-17-11/release-osx.cfg	2016-11-17 16:45:06.000000000 +0900
@@ -0,0 +1,387 @@
+##############################################################################
+#
+# Configuration file for installing ILC Software release v01-14
+#
+# This cfg file assumes the base-level tools from release_v01-14-base.cfg
+# are already installed and available in your system (base-level tools are the
+# tools which are set as 'ilcsoft.link' at the end of this file
+#
+# If you do not have this tools available on your system you can install them
+# with the configuration file release_v01-14-base.cfg or alternatively
+# install all software with release_v01-14-scratch.cfg (please check
+# release_v01-14-base.cfg for more details)
+#
+# Please do not forget to modify the directories in this cfg file
+# according to your system !!
+#
+# Author: F. Gaede, J. Engels, DESY
+# Date: Jun 30, 2010
+#
+##############################################################################
+
+import os, sys
+
+# read package versions from external file
+path_where_this_file_lives = os.path.dirname( config_file )
+versions_file = os.path.join( path_where_this_file_lives, "release-versions.py" )
+execfile( versions_file )
+
+print "Do we install nightlies? ", nightlies
+print "value for use_cpp11: ", use_cpp11
+
+
+print "value for use_cpp11 for nightly builds: ", use_cpp11
+
+# installation directory
+if not 'ilcsoft_install_dir' in dir():
+    if not 'ilcsoft_install_prefix' in dir():
+        # default install prefix
+        ilcsoft_install_prefix = "$HOME/ilcsoft"
+
+ilcsoft_install_dir = os.path.join( ilcsoft_install_prefix, ilcsoft_release )
+ilcsoft = ILCSoft( ilcsoft_install_dir )
+
+# configuration for nightlies
+#if (nightlies==True and use_cpp11==False):
+if (nightlies==True):
+	if (use_cpp11==True):
+      		ilcsoft_install_dir = ilcsoft = ILCSoft("/scratch/nbuilds/gcc48/"+date_iso8601)
+		ilcsoft.nightlyBuild=True
+		ilcsoft.nightlyTargets=['NightlyStart', 'NightlyConfigure', 'NightlyBuild', 'install', 'NightlyTest', 'NightlySubmit']
+   	else:
+      		ilcsoft_install_dir = ilcsoft = ILCSoft("/scratch/nbuilds/"+date_iso8601)
+		ilcsoft.nightlyBuild=True
+		ilcsoft.nightlyTargets=['NightlyStart', 'NightlyConfigure', 'NightlyBuild', 'install', 'NightlyTest', 'NightlySubmit']
+
+
+#print "ilcsoft install dir %s " %ilcsoft_install_dir
+
+# python variable for referring the ILC Home directory
+# used to link or use already installed packages (SL5)
+# --- set in release-versions.py ---
+#ilcPath = "/afs/desy.de/group/it/ilcsoft/"
+#ilcPath = '/afs/desy.de/project/ilcsoft/sw/i386_gcc41_sl5/'
+ilcPath = '/proj/soft/ilcsoft/'
+if not 'ilcPath' in dir():
+    "raise ilcPath not set"
+
+ilcPath = os.path.normpath( ilcPath ) + '/' # make sure there it ends with /
+
+# global options
+ilcsoft.env["MAKEOPTS"]="-j4"
+ilcsoft.env["CXX"]="g++"
+ilcsoft.env["CC"]="gcc"
+ilcsoft.env["FC"]="gfortran"
+if( ilcsoft.os.isSL(4) ):
+    ilcsoft.env["FC"]="g77"
+
+#
+#ilcsoft.envcmake['CMAKE_CXX_FLAGS']= CMAKE_CXX_FLAGS
+ilcsoft.envcmake['USE_CXX11']=use_cpp11
+ilcsoft.envcmake["Boost_NO_BOOST_CMAKE"]="ON"
+#
+
+if( len( Fortran_lib_path ) > 0 ):
+  ilcsoft.envcmake["FORTRAN_LIBRARY_SEARCH_PATH"]=Fortran_lib_path
+
+
+# ----- build and install documentation -------------
+#ilcsoft.envcmake["INSTALL_DOC"]="ON"
+ilcsoft.envcmake["INSTALL_DOC"]="OFF"
+
+
+ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "Debug"
+#ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "RelWithDebInfo"
+ilcsoft.envcmake["CMAKE_VERBOSE_MAKEFILE"]="ON"
+ilcsoft.downloadType = "svn"
+#ilcsoft.downloadType = "svn-desy"
+
+# additional system pathes for FIND_LIBRARY, FIND_PATH
+#-----------------------------------------------
+#ilcsoft.env["CMAKE_LIBRARY_PATH"]="/usr/lib/gcc/i386-redhat-linux/3.4.3:/another/path/lib"
+#ilcsoft.env["CMAKE_INCLUDE_PATH"]="/usr/include/c++/3.4.3:/another/path/include"
+#-----------------------------------------------
+
+
+###########################################################
+
+ilcsoft.install( LCCD( LCCD_version ))
+
+ilcsoft.install( Marlin( Marlin_version ))
+ilcsoft.module("Marlin").envcmake["MARLIN_GUI"]='ON'
+
+ilcsoft.install( MarlinPKG( "MarlinDD4hep", MarlinDD4hep_version ))
+ilcsoft.module("MarlinDD4hep").download.root="marlin"
+ilcsoft.module("MarlinDD4hep").addDependency( [ 'Marlin', 'DD4hep', 'Root'] )
+
+ilcsoft.install( MarlinPKG( "DDMarlinPandora", DDMarlinPandora_version ))
+ilcsoft.module("DDMarlinPandora").download.root="marlinreco"
+ilcsoft.module("DDMarlinPandora").envcmake["CMAKE_CXX_FLAGS"]='-Wno-error'
+ilcsoft.module("DDMarlinPandora").addDependency( [ 'Marlin', 'MarlinUtil', 'DD4hep', 'ROOT', 'PandoraPFANew'] )
+ilcsoft.module("DDMarlinPandora").envcmake["CMAKE_CXX_FLAGS"]='-Wno-error'
+
+
+ilcsoft.install( MarlinUtil( MarlinUtil_version ))
+
+
+ilcsoft.install( Mokka( Mokka_version ))
+ilcsoft.module("Mokka").envcmake["WITH_GEANT4_UIVIS"]='ON'
+#ilcsoft.module("Mokka").env["MOKKA_DEBUG"]=1
+#ilcsoft.module("Mokka").env["MOKKA_PACK_LIBS"]=1 # FIXME: CAUSES TOO MUCH LIB DEPENDENCIES .... TO BE SOLVED !!
+
+#----------  standard reco packages
+
+ilcsoft.install( MarlinReco( MarlinReco_version )) 
+#ilcsoft.module("MarlinReco").envcmake["MARLINRECO_FORTRAN"]='OFF'
+
+ilcsoft.install( PandoraAnalysis( PandoraAnalysis_version ))
+
+ilcsoft.install( PandoraPFANew( PandoraPFANew_version ))
+
+ilcsoft.module("PandoraPFANew").envcmake["PANDORA_MONITORING"]='ON'
+ilcsoft.module("PandoraPFANew").envcmake["LC_PANDORA_CONTENT"]='ON'
+ilcsoft.module("PandoraPFANew").envcmake["EXAMPLE_PANDORA_CONTENT"]='ON'
+ilcsoft.module("PandoraPFANew").envcmake["ROOT_DIR"]='${ROOTSYS}/etc/cmake'
+
+
+ilcsoft.install( MarlinPandora( MarlinPandora_version ))
+ilcsoft.module("MarlinPandora").envcmake["CMAKE_CXX_FLAGS"]='-Wno-error'
+
+ilcsoft.install( LCFIVertex( LCFIVertex_version ))
+ilcsoft.module( "LCFIVertex" ).envcmake["BOOST_ROOT"] = Boost_path
+
+ilcsoft.install( CEDViewer( CEDViewer_version )) 
+ilcsoft.module("CEDViewer").envcmake['CMAKE_SKIP_RPATH']='TRUE'
+
+ilcsoft.install( Overlay( Overlay_version ))  
+
+#ilcsoft.install( FastJetClustering( FastJetClustering_version ))
+
+#ilcsoft.install( MarlinPKG( "MarlinFastJet", MarlinFastJet_version ))
+#ilcsoft.module("MarlinFastJet").download.root="marlinreco"
+#ilcsoft.module("MarlinFastJet").addDependency( [ 'LCIO', 'Marlin', 'FastJet'] )
+
+ilcsoft.install( MarlinPKG( "LCTuple", LCTuple_version ))
+ilcsoft.module("LCTuple").download.root="marlinreco"
+ilcsoft.module("LCTuple").addDependency( [ 'LCIO', 'Marlin', 'ROOT'] )
+
+ilcsoft.install( MarlinPKG( "MarlinKinfit", MarlinKinfit_version ))
+ilcsoft.module("MarlinKinfit").download.root="marlinreco"
+ilcsoft.module("MarlinKinfit").addDependency( [ 'LCIO', 'GEAR', 'GSL', 'Marlin'] )
+
+ilcsoft.install( MarlinPKG( "MarlinKinfitProcessors", MarlinKinfitProcessors_version ))
+ilcsoft.module("MarlinKinfitProcessors").download.root="marlinreco"
+ilcsoft.module("MarlinKinfitProcessors").addDependency( [ 'LCIO', 'GEAR', 'GSL', 'Marlin'] )
+
+ilcsoft.install( MarlinTrk( MarlinTrk_version ))
+ilcsoft.install( KiTrack( KiTrack_version ))
+ilcsoft.install( KiTrackMarlin( KiTrackMarlin_version ))
+
+ilcsoft.install( MarlinPKG( "MarlinTrkProcessors", MarlinTrkProcessors_version ))
+ilcsoft.module("MarlinTrkProcessors").download.root="marlinreco"
+ilcsoft.module("MarlinTrkProcessors").addDependency( [ 'LCIO', 'ROOT', 'GSL', 'Marlin', 'MarlinUtil', 'KalTest', 'KalDet', 'MarlinTrk', 'KiTrack', 'KiTrackMarlin'] )
+
+ilcsoft.install( MarlinPKG( "ILDPerformance", ILDPerformance_version ))
+ilcsoft.module("ILDPerformance").download.root="marlinreco"
+ilcsoft.module("ILDPerformance").addDependency( [ 'Marlin', 'MarlinUtil', 'ROOT'] )
+
+#-- for convenience also include the HEAD version of ILDconfig
+#ilcsoft.install( ConfigPKG( "ILDConfig", ILDConfig_version ))
+#ilcsoft.module("ILDConfig").download.root="marlinreco"
+#ilcsoft.module("ILDConfig").addDependency( [ 'Marlin', 'MarlinUtil', 'ROOT'] )
+
+ilcsoft.install( MarlinPKG( "Clupatra", Clupatra_version ))
+ilcsoft.module("Clupatra").download.root="marlinreco"
+ilcsoft.module("Clupatra").addDependency( [ 'LCIO', 'ROOT', 'RAIDA', 'Marlin', 'MarlinUtil', 'KalTest', 'MarlinTrk' ] )
+
+ilcsoft.install( MarlinPKG( "Physsim", Physsim_version ))
+ilcsoft.module("Physsim").download.root="physsim"
+ilcsoft.module("Physsim").addDependency( [ 'LCIO', 'ROOT', 'Marlin' ] )
+
+ilcsoft.install( MarlinPKG( "FCalClusterer", FCalClusterer_version ))
+ilcsoft.module("FCalClusterer").download.root="FCAL/Software"
+ilcsoft.module("FCalClusterer").addDependency( [ 'LCIO', 'ROOT', 'Marlin' ] )
+
+ilcsoft.install( MarlinPKG( "LCFIPlus", LCFIPlus_version ))
+ilcsoft.module("LCFIPlus").download.type="GitHub"
+ilcsoft.module("LCFIPlus").download.gituser="lcfiplus"
+ilcsoft.module("LCFIPlus").download.gitrepo="LCFIPlus"
+ilcsoft.module("LCFIPlus").addDependency( [ 'LCIO', 'GEAR', 'ROOT', 'Marlin', 'MarlinUtil', 'LCFIVertex'] )
+
+
+ilcsoft.install( MarlinPKG( "ForwardTracking", ForwardTracking_version ))
+ilcsoft.module("ForwardTracking").download.root="marlinreco"
+ilcsoft.module("ForwardTracking").addDependency( [ 'LCIO', 'GEAR', 'ROOT', 'GSL', 'Marlin', 'MarlinUtil', 'MarlinTrk'] )
+
+
+
+#---------test beam packages 
+
+#ilcsoft.install( Eutelescope( Eutelescope_version ))
+#ilcsoft.module("Eutelescope").env['EUDAQ_VERSION']='trunk'
+#ilcsoft.module("Eutelescope").env['MILLEPEDEII_VERSION']='trunk'
+
+
+ilcsoft.install( PathFinder( PathFinder_version ))
+ilcsoft.install( MarlinTPC( MarlinTPC_version ))
+
+ilcsoft.install( BBQ( BBQ_version ))
+
+#fg: needs porting to ROOT6 (dictionary!)
+#ilcsoft.install( Druid( Druid_version ))
+
+ilcsoft.install( Garlic( Garlic_version ))
+
+
+
+ilcsoft.install( RAIDA( RAIDA_version ))
+
+ilcsoft.install( KalTest( KalTest_version ))
+ilcsoft.install( KalDet( KalDet_version ))
+
+ilcsoft.install( GBL ( GBL_version ) )
+
+#ilcsoft.link( XercesC( ilcPath + "xercesc/" + XercesC_version ))
+ilcsoft.use( XercesC( "/usr/osxws" ))
+
+#------ slic et al
+#ilcsoft.install( HepPDT( HepPDT_version ))
+#ilcsoft.install( GDML( GDML_version ))
+#ilcsoft.install( LCDD( LCDD_version ))
+#ilcsoft.install( SLIC( SLIC_version ))
+#ilcsoft.install( SlicPandora( SlicPandora_version ))
+#-----------------
+
+# DD4hep
+ilcsoft.install( DD4hep( DD4hep_version )) 
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_GEANT4"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_LCIO"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_XERCESC"]=0
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_PYROOT"]=0
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_GEAR"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_BOOST"]=1
+ilcsoft.module("DD4hep").envcmake["BOOST_ROOT"] = Boost_path
+if( use_cpp11 ):
+    ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_CXX11"] = 'ON'
+
+
+ilcsoft.install( lcgeo( lcgeo_version )) 
+
+ilcsoft.install( aidaTT( aidaTT_version )) 
+ilcsoft.module("aidaTT").downloadType="svn"
+
+ilcsoft.install( DDKalTest( DDKalTest_version ))
+
+ilcsoft.install( DD4hepExamples ( DD4hepExamples_version ))
+
+####################################################################
+#
+# the following tools are installed in afs:
+#
+# - for SL5 (32bit) under:
+#
+#     /afs/desy.de/project/ilcsoft/sw/i386_gcc41_sl5/
+#
+# - for SL5 (64bit) under:
+#
+#     /afs/desy.de/project/ilcsoft/sw/x86_64_gcc41_sl5
+#
+# they can be linked from there or need to be installed on your system
+#
+####################################################################
+
+
+#----- configs ------------------------------------------------------
+#ilcsoft.link( ConfigPKG( "StandardConfig", ilcPath + "StandardConfig/" + StandardConfig_version ) )
+#stdconf = ilcsoft.module( "StandardConfig")
+#stdconf.env["STANDARDCONFIG"]=stdconf.installPath
+#
+#ilcsoft.link( ConfigPKG( "MokkaDBConfig", ilcPath + "MokkaDBConfig/" + MokkaDBConfig_version ) ) 
+#mokkadbconf = ilcsoft.module( "MokkaDBConfig")
+#mokkadbconf.download.root = "ilctools"
+#mokkadbconf.envorder=["MOKKADBCONFIG"]
+#mokkadbconf.env["MOKKADBCONFIG"]=mokkadbconf.installPath
+#mokkadbconf.env["MOKKA_DUMP_FILE"]="$MOKKADBCONFIG/mokka-dbdump.sql.tgz"
+#mokkadbconf.envpath["PATH"].append( "$MOKKADBCONFIG/scripts" )
+#
+#ilcsoft.link( ConfigPKG( "LCFI_MokkaBasedNets", ilcPath + "LCFI_MokkaBasedNets/" + LCFI_MokkaBasedNets_version ) )
+#lcfinets=ilcsoft.module( "LCFI_MokkaBasedNets" )
+#lcfinets.download.root = "tagnet"
+#lcfinets.env["LCFIMOKKABASEDNETS"]=lcfinets.installPath
+#--------------------------------------------------------------------
+
+#ilcsoft.link( CED( ilcPath + "CED/" + CED_version ))
+ilcsoft.install( CED( CED_version ))
+ilcsoft.module("CED").envcmake['CMAKE_SKIP_RPATH']='TRUE'
+#ilcsoft.module("CED").envcmake['CED_SERVER']='ON'
+
+#ilcsoft.link( LCIO( ilcPath + "lcio/" + LCIO_version ))
+#ilcsoft.install( LCIO( LCIO_version ))
+ilcsoft.link( LCIO( "/opt/lcio/" + LCIO_version ))
+
+#----- this will build the optional ROOT dictionary for LCIO -----
+#------ set to OFF  if you don't want it
+if( use_cpp11 ):
+    ilcsoft.module("LCIO").envcmake['BUILD_ROOTDICT']='ON'
+#ilcsoft.module("LCIO").envcmake['INSTALL_DOC']='OFF'
+#ilcsoft.module("LCIO").envcmake['ROOT_HOME']='${ROOTSYS}'
+#ilcsoft.module("LCIO").envcmake["BUILD_WITH_DCAP"]="ON"
+# it is recommended to use the LD_PRELOAD mechanism for opening lcio files in dCache
+#ilcsoft.link( dcap( ilcPath + "dcap/" + dcap_version ))
+
+#ilcsoft.link( GEAR( ilcPath + "gear/" + GEAR_version ))
+ilcsoft.install( GEAR( GEAR_version ))
+ilcsoft.module("GEAR").envcmake['GEAR_TGEO']='ON'
+
+
+#ilcsoft.link( FastJet( ilcPath + "FastJet/" + FastJet_version ))
+
+#ilcsoft.link( ROOT( ilcPath + "root/" + ROOT_version ))
+ilcsoft.use( ROOT( "/opt/root/" + ROOT_version ))
+
+#ilcsoft.link( CLHEP( ilcPath + "CLHEP/" + CLHEP_version ))
+ilcsoft.use( CLHEP( "/opt/clhep/" + CLHEP_version ))
+
+#ilcsoft.link( GSL( ilcPath + "gsl/" + GSL_version ))
+ilcsoft.use( GSL( "/usr/osxws" ))
+
+#ilcsoft.link( QT( ilcPath + "QT/" + QT_version ))
+
+#ilcsoft.link( Geant4( ilcPath + "geant4/" + Geant4_version ))
+ilcsoft.link( Geant4( "/opt/g4/" + Geant4_version ))
+
+#ilcsoft.link( CondDBMySQL( ilcPath + "CondDBMySQL/" + CondDBMySQL_version ))
+ilcsoft.install( CondDBMySQL( CondDBMySQL_version ))
+
+# cernlib
+if 'CERNLIB_path' in dir():
+    ilcsoft.link( CERNLIB( CERNLIB_path ))
+
+# geant4
+#if 'Geant4_path' in dir():
+#    ilcsoft.use( Geant4 ( Geant4_path ))
+#    if 'G4ENV_INIT_path' in dir():
+#        ilcsoft.module("Geant4").env["G4ENV_INIT"] = G4ENV_INIT_path
+
+# mysql
+if 'MySQL_path' in dir():
+    ilcsoft.link( MySQL( MySQL_path ))
+
+# Java
+#if 'Java_path' in dir():
+#    ilcsoft.link( Java( Java_path ))
+
+# cmake
+#ilcsoft.use( CMake( ilcPath + "CMake/" + CMake_version ))
+ilcsoft.use( CMake( "/usr/osxws" ))
+
+#ilcsoft.link( ILCUTIL( ilcPath + "ilcutil/" + ILCUTIL_version ))
+ilcsoft.install( ILCUTIL( ILCUTIL_version ))
+
+
+# use pe-installed boost
+if 'Boost_path' in dir():
+   ilcsoft.use( Boost( Boost_path ) )
+
+# end of configuration file
+
diff -uNr ilcinstall.ORIG/releases/v01-17-11/release-versions.py ilcinstall/releases/v01-17-11/release-versions.py
--- ilcinstall.ORIG/releases/v01-17-11/release-versions.py	2016-11-17 14:09:47.000000000 +0900
+++ ilcinstall/releases/v01-17-11/release-versions.py	2016-11-17 16:21:38.000000000 +0900
@@ -42,10 +42,11 @@
 # ===========================================================
 #
 
-ilcsoft_install_prefix = ilcsoft_afs_path[ arch ]
+#ilcsoft_install_prefix = ilcsoft_afs_path[ arch ]
 #ilcsoft_install_prefix = "/afs/desy.de/project/ilcsoft/sw/x86_64_gcc44_sl6/"
 #ilcsoft_install_prefix = "/nfs/dust/ilc/user/voutsina/testarea/ilcsoft_c11/"
 #ilcsoft_install_prefix = "/scratch/ilcsoft/"
+ilcsoft_install_prefix = "/proj/soft/ilcsoft/"
 
 # ----------------------------------------------------------------------------
 #--- the ilcsoft_release is now automatically appended in release-ilcsoft.cfg 
@@ -87,29 +88,34 @@
 # please adjust the path variables accordingly
 
 # ----- mysql --------------------------------------------------------
-MySQL_version = "5.0.45"
-MySQL_path = ilcPath + "/mysql/" + MySQL_version
+#MySQL_version = "5.0.45"
+MySQL_version = "5.1.73"
+#MySQL_path = ilcPath + "/mysql/" + MySQL_version
+MySQL_path = "/usr/osxws"
 
-if( ilcsoft_afs_path[ arch ].find('_ub') > 0 ):
-    MySQL_path = "/usr"
+#if( ilcsoft_afs_path[ arch ].find('_ub') > 0 ):
+#    MySQL_path = "/usr"
 
 
 #------ boost headers files ------------------------------------------
-Boost_path = "/afs/desy.de/project/ilcsoft/sw/boost/1.58.0"
+#Boost_path = "/afs/desy.de/project/ilcsoft/sw/boost/1.58.0"
+Boost_path = "/usr/osxws"
 
 
 # ----- CERNLIB ------------------------------------------------------
 CERNLIB_version = "2006" 
-CERNLIB_path = "/afs/desy.de/project/ilcsoft/sw/x86_64_gcc44_sl6/cernlib/" + CERNLIB_version
+#CERNLIB_path = "/afs/desy.de/project/ilcsoft/sw/x86_64_gcc44_sl6/cernlib/" + CERNLIB_version
+CERNLIB_path = "/cern/" + CERNLIB_version
 
 
 
 # ----------------------------------------------------------------------------
 
-Fortran_lib_path = ""
+#Fortran_lib_path = ""
+Fortran_lib_path = "/usr/osxws/lib"
 # ----- when using gcc48 we need to give a hint where to find the libary:
-if( use_cpp11 ):
-    Fortran_lib_path = "/afs/cern.ch/sw/lcg/contrib/gcc/4.8.1/x86_64-slc6-gcc48-opt/lib64"
+#if( use_cpp11 ):
+#    Fortran_lib_path = "/afs/cern.ch/sw/lcg/contrib/gcc/4.8.1/x86_64-slc6-gcc48-opt/lib64"
 
 
 ##########################################################################################
@@ -136,7 +142,8 @@
 
 # ======================= PACKAGE VERSIONS ===================================
 
-Geant4_version =  "10.01" # "10.02.p01" # "10.01" 
+#Geant4_version =  "10.01" # "10.02.p01" # "10.01" 
+Geant4_version =  "10.02" # "10.02.p01" # "10.01" 
 
 print "value for use_cpp11: ", use_cpp11
 
@@ -147,13 +154,16 @@
     ROOT_version = "5.34.30"
     print " I install ROOT version : 5. " , ROOT_version , use_cpp11
 
-CLHEP_version =  "2.1.4.1" # "2.3.1.1" #  "2.1.4.1"
+#CLHEP_version =  "2.1.4.1" # "2.3.1.1" #  "2.1.4.1"
+CLHEP_version =  "2.3.1.1" # "2.3.1.1" #  "2.1.4.1"
 
-GSL_version = "2.1" # "1.14"
+#GSL_version = "2.1" # "1.14"
+GSL_version = "2.2.1" # "1.14"
 
-QT_version = "4.7.4"
+#QT_version = "4.7.4"
 
-CMake_version = "3.4.3" # "2.8.5"
+#CMake_version = "3.4.3" # "2.8.5"
+CMake_version = "3.6.2" # "2.8.5"
 
 CED_version = "v01-09-02"
 
@@ -261,9 +271,11 @@
 
 
 # xerces-c (needed by geant4 for building gdml support - required by mokka)
-XERCESC_ROOT_DIR = ilcPath + "/xercesc/3.1.2"
+#XERCESC_ROOT_DIR = ilcPath + "/xercesc/3.1.2"
+XERCESC_ROOT_DIR = "/usr/osxws"
 
-XercesC_version = "3.1.2" 
+#XercesC_version = "3.1.2" 
+XercesC_version = "3.1.3" 
 
 #--- slic et al:
 
